# Get

Launch stage: GA

`GET /api/2.0/notification-destinations/{id}`

Gets a notification destination.

API scopes: notifications

## Path parameters

- `id` (string, optional)
  Example: `fe25e731-92f2-4838-9fb2-1ca364320a3d`

## Returns

Returns the NotificationDestination object.

## Response

### [Admin] Email Destination

```json
{
  "config": {
    "email": {
      "addresses": [
        "user1@gmail.com",
        "user2@gmail.com"
      ]
    }
  },
  "destination_type": "EMAIL",
  "display_name": "My email destination",
  "id": "fe25e731-92f2-4838-9fb2-1ca364320a3d"
}
```

### [Admin] Microsoft Teams Destination

```json
{
  "config": {
    "microsoft_teams": {
      "url_set": true
    }
  },
  "destination_type": "MICROSOFT_TEAMS",
  "display_name": "My microsoft teams destination",
  "id": "fe25e731-92f2-4838-9fb2-1ca364320a3d"
}
```

### [Admin] PagerDuty Destination

```json
{
  "config": {
    "pagerduty": {
      "integration_key_set": true
    }
  },
  "destination_type": "PAGERDUTY",
  "display_name": "My pagerduty destination",
  "id": "fe25e731-92f2-4838-9fb2-1ca364320a3d"
}
```

### [Admin] Slack Destination

```json
{
  "config": {
    "slack": {
      "url_set": true
    }
  },
  "destination_type": "SLACK",
  "display_name": "My slack destination",
  "id": "fe25e731-92f2-4838-9fb2-1ca364320a3d"
}
```

### [Admin] Webhook Destination

```json
{
  "config": {
    "generic_webhook": {
      "password_set": false,
      "url_set": true,
      "username_set": false
    }
  },
  "destination_type": "WEBHOOK",
  "display_name": "My webhook destination",
  "id": "fe25e731-92f2-4838-9fb2-1ca364320a3d"
}
```

### [User] Destination

```json
{
  "destination_type": "SLACK",
  "display_name": "My slack destination",
  "id": "fe25e731-92f2-4838-9fb2-1ca364320a3d"
}
```

